p.correct <-
function(modelResults, method){
    pvals.raw <- c()
    coefS <- modelResults$coefS ##A 3D array
    for(modNum in 1:dim(coefS)[3]){
        ##tempCoef <- modelResults$coefs[[paste0(paste0("ME",(modNum-1)))]]
        tempCoef <- coefS[,,paste0("ME",(modNum-1))]
        if("Pr(>|t|)" %in% colnames(tempCoef)){
            pval <- tempCoef["ME", "Pr(>|t|)"]
        }
        else if("Pr(>|z|)" %in% colnames(tempCoef)){
            pval <- tempCoef["ME", "Pr(>|z|)"]
        }
        pvals.raw <- c(pvals.raw, pval)
    }
    pvals.adj <- p.adjust(pvals.raw, method=method)
    result <- list()
    result[["pvals.raw"]] <- pvals.raw
    result[["pvals.adj"]] <- pvals.adj
    result[["adj.method"]] <- method
    return(result)
}
