set.task <-
function(task, allTasks=NULL, sep=","){
    ## Sets new task by taking user input whenever required.
    ## The live version of this function is available at:
    ## ~/proj/genetwork/code/Isha/utils/set.task.R
    ## But, we copied a dead version here to make sharing code with people
    ## outside the lab easier.
    print("All possible tasks include:")
    print(allTasks)
    print(paste("If you want to select more than one task use", sep, "to separate two tasks."))
    print(paste("If you want to run all tasks, type ALL."))
    if(missing(task)){ ## Defining tasks:
        print("No task is defined. Please set a task from the list:")
        task <- readline('Set task: ')
        task <- unlist(strsplit(x=task, split=sep))
    } else { ## Updating tasks:
        print(paste("The current task set is:", paste(task, collapse=sep)))
        setNewTask <- readline('Set new task (y/n)? ')
        if(!setNewTask %in% c("y","n")){
            setNewTask <- readline('Set new task (y/n)? ')
        }
        if(setNewTask == "y"){
           task <- readline('Which task? ')
           task <- unlist(strsplit(x=task, split=sep))
        } 
        if(setNewTask == "n"){
           print("Tasks not changed!")
        }
    }
    while(!any(task %in% c(allTasks, "ALL"))){
        message("Tasks ", list(task), " is not available")
        task <- readline('Choose a correct task: ')
        task <- unlist(strsplit(x=task, split=sep))
    }
    if("ALL" %in% task){
        task <- allTasks
    }
    print("Tasks set to:", )
    print(task)
    return(task)
}
